=begin
  $Author: moriq $
  $Date: 2003-07-23 10:51:28 +0900 (水, 23 7 2003) $

  This program is free software.
  You can distribute/modify this program under
  the terms of the Ruby Distribute License.

=end

#
# sinleton.rb݂̑ɋCt
# ԗւ̍ĔĂ邵ʖډ߂
# 

require 'simple-i18n'

module ApIRB

  def self.Message
    ApIRB::Message.instance
  end
  
  class Message < SimpleI18N::Message

    private
    def self.get_message(lang, windows)
      msg = {}
      
      case lang 
      when SimpleI18N::LANG_JA
	msg['ap-irb'] = 'Apollo IRB'
 
	msg['menu_file'] = 't@C(&F)'
	msg['menu_save'] = '㏑ۑ(&S)'
	msg['menu_save_as'] = 'Otĕۑ(&A)'
	msg['menu_close'] = '(&C)'

	msg['menu_edit'] = 'ҏW(&E)'
	msg['menu_undo'] = 'ɖ߂(&U)'
	msg['menu_redo'] = '蒼(&R)'
	msg['menu_cut'] = '؂(&T)'
	msg['menu_copy'] = 'Rs[(&C)'
	msg['menu_paste'] = '\t(&P)'
	msg['menu_delete'] = '폜(&L)'
	msg['menu_select_all'] = 'ׂĂI(&S)'

	msg['menu_input_helper'] = '͎x(&I)'
	msg['menu_completion'] = '⊮(&C)'
	msg['menu_prev_history'] = 'O̓(&P)'
	msg['menu_next_history'] = '̓(&N)'

	msg['menu_help'] = 'wv(&H)'
	msg['menu_about'] = '̃\tgɂ(&A)'

	msg['file_save_dlg_filter'] = 'eLXgt@C(*.txt)|*.txt|ׂẴt@C(*.*)|*|'
	msg['save_confirm'] = 't@C͂łɑ݂܂Bۑ܂?'
	msg['save_error'] = 't@C̕ۑɃG[N܂B'
	msg['has_no_write_right'] = 't@Cތ܂B'
      else 
	msg['ap-irb'] = 'Apollo IRB'
		
	msg['menu_file'] = '&File'
	msg['menu_load_lib'] = '&Save'
	msg['menu_load_script'] = 'Save &As'
	msg['menu_close'] = '&Close'

	msg['menu_edit'] = '&Edit'
	msg['menu_undo'] = '&Undo'
	msg['menu_redo'] = '&Redo'
	msg['menu_cut'] = 'Cu&t'
	msg['menu_copy'] = '&Copy'
	msg['menu_paste'] = '&Paste'
	msg['menu_delete'] = '&Delete'
	msg['menu_select_all'] = 'Select A&LL'

	msg['menu_input_helper'] = '&Input Helper'
	msg['menu_completion'] = '&Completion'
	msg['menu_prev_history'] = '&Previous Input'
	msg['menu_next_history'] = '&Next input'

	msg['menu_help'] = '&Help'
	msg['menu_about'] = '&About'

	msg['file_save_dlg_filter'] = 'Text File(*.txt)|*.txt|Any File(*.*)|*|'
	msg['save_confirm'] = 'File already exists. Save?'
	msg['save_error'] = 'Error occured while File Save.'
	msg['has_no_write_right'] = 'Has no Right of File Save.'
      end
      msg
    end

    # VOgp^[̃CX^XƂĎg
    # ۂ̃bZ[W}
    if (@msg.nil?) or (@msg.size == 0)
      @msg = self.get_message(SimpleI18N::LANG, SimpleI18N::WINDOWS)
    end

  end

end

